/*
 * @(#)CompilerCreatorUtil.java
 *
 * Copyright (C) 2003 Matt Albrecht
 * groboclown@users.sourceforge.net
 * http://groboutils.sourceforge.net
 *
 *  Permission is hereby granted, free of charge, to any person obtaining a
 *  copy of this software and associated documentation files (the "Software"),
 *  to deal in the Software without restriction, including without limitation
 *  the rights to use, copy, modify, merge, publish, distribute, sublicense,
 *  and/or sell copies of the Software, and to permit persons to whom the 
 *  Software is furnished to do so, subject to the following conditions:
 *
 *  The above copyright notice and this permission notice shall be included in 
 *  all copies or substantial portions of the Software. 
 *
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 *  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 *  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL 
 *  THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 *  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
 *  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
 *  DEALINGS IN THE SOFTWARE.
 */

package net.sourceforge.groboutils.codecoverage.v2.compiler;

import junit.framework.Assert;
import net.sourceforge.groboutils.codecoverage.v2.IMethodCode;
import net.sourceforge.groboutils.codecoverage.v2.datastore.ClassRecord;

import org.apache.bcel.classfile.JavaClass;
import org.apache.bcel.classfile.Method;
import org.apache.bcel.generic.MethodGen;


/**
 * Helper for creating code coverage test objects.
 *
 * @author    Matt Albrecht <a href="mailto:groboclown@users.sourceforge.net">groboclown@users.sourceforge.net</a>
 * @version   $Date: 2004/04/15 05:48:28 $
 * @since     January 23, 2003
 */
public class CompilerCreatorUtil
{
    private static final Class THIS_CLASS = CompilerCreatorUtil.class;

    
    
    public static ModifiedMethod createModifiedMethod( JavaClass jc,
            int methodIndex, Method m, MethodGen mg )
    {
        Assert.assertNotNull( jc );
        Assert.assertNotNull( m );
        Assert.assertNotNull( mg );
        ModifiedMethod mm = new ModifiedMethod( (short)methodIndex, 0, 0,
            jc, m, mg );
        return mm;
    }
    
    
    public static IMethodCode createIMethodCode( int measureIndex,
            ModifiedMethod mm, ClassRecord cr )
    {
        IMethodCode mc = new DefaultMethodCode( (short)measureIndex, mm, cr );
        return mc;
    }
    
            
}

